NotarisationRequestSignature
Keywords: net.corda.core.flows.NotarisationRequestSignature class
Date: 2023-09-18

net.corda.core.flows

## Class NotarisationRequestSignature

- net.corda.core.flows.NotarisationRequestSignature

-     public class NotarisationRequestSignature

  A wrapper around a digital signature used for notarisation requests.

  The platformVersion is required so the notary can verify the signature against the right version of serialized bytes of the `class NotarisationRequest`. Otherwise, the request may be rejected.

  See Also:
    `class NotarisationRequest`

- - ### Constructor Detail

    - #### NotarisationRequestSignature

          public NotarisationRequestSignature(@NotNull
                                              net.corda.core.crypto.DigitalSignature.WithKey digitalSignature,
                                              int platformVersion)

      A wrapper around a digital signature used for notarisation requests.

      The platformVersion is required so the notary can verify the signature against the right version of serialized bytes of the `class NotarisationRequest`. Otherwise, the request may be rejected.

      See Also:
        `class NotarisationRequest`

  - ### Method Detail

    - #### getDigitalSignature

          @NotNull
          public net.corda.core.crypto.DigitalSignature.WithKey getDigitalSignature()

    - #### getPlatformVersion

          public int getPlatformVersion()

    - #### component1

          @NotNull
          public net.corda.core.crypto.DigitalSignature.WithKey component1()

    - #### component2

          public int component2()

    - #### copy

          @NotNull
          public NotarisationRequestSignature copy(@NotNull
                                                            net.corda.core.crypto.DigitalSignature.WithKey digitalSignature,
                                                            int platformVersion)

      A wrapper around a digital signature used for notarisation requests.

      The platformVersion is required so the notary can verify the signature against the right version of serialized bytes of the `class NotarisationRequest`. Otherwise, the request may be rejected.

      See Also:
        `class NotarisationRequest`

    - #### toString

          @NotNull
          public java.lang.String toString()

      A wrapper around a digital signature used for notarisation requests.

      The platformVersion is required so the notary can verify the signature against the right version of serialized bytes of the `class NotarisationRequest`. Otherwise, the request may be rejected.

      See Also:
        `class NotarisationRequest`

    - #### hashCode

          public int hashCode()

      A wrapper around a digital signature used for notarisation requests.

      The platformVersion is required so the notary can verify the signature against the right version of serialized bytes of the `class NotarisationRequest`. Otherwise, the request may be rejected.

      See Also:
        `class NotarisationRequest`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A wrapper around a digital signature used for notarisation requests.

      The platformVersion is required so the notary can verify the signature against the right version of serialized bytes of the `class NotarisationRequest`. Otherwise, the request may be rejected.

      See Also:
        `class NotarisationRequest`